Error in Corejoomla API

Category: Announcements 7 years ago
Hello,

I have just installed GPStools, after first installing plg_jquery_v2.0.2.zip (and publishing) and com_cjlib_v1.3.1.zip. Things seem to work in GPStools (but not uploaded any tracks yet, so not fully tested) but when I select Corejoomla API in components menu I get

Fatal error: Class 'JControllerLegacy' not found in /home/totaltra/public_html/icycletest/administrator/components/com_cjlib/controller.php on line 17

Any ideas what is causing this error?

Bill
Like it on Facebook, Tweet it or share this topic on other bookmarking websites.
  • Re: Error in Corejoomla API

    by » 7 years ago


    Are you using Joomla 1.5?

    Follow me on twitter: https://twitter.com/corejoomla
    If you use our extensions, please post a rating and a review at the Joomla! Extensions Directory.
    CjFitCjForum | Polls | Answers | Quizzes | Quotes | Surveys | GPS Tools | CjBlog


  • Re: Error in Corejoomla API

    by » 7 years ago


    Joomla 1.5 yes.

  • Re: Error in Corejoomla API

    by » 7 years ago


    This will not have any impact on functionality, however to avoid this error:

    edit /administrator/components/com_cjlib/controller.php

    find JControllerLegacy and change it to JController

    I would suggest you to upgrade to J2.5 as j1.5 support will soon end from us.

    Follow me on twitter: https://twitter.com/corejoomla
    If you use our extensions, please post a rating and a review at the Joomla! Extensions Directory.
    CjFitCjForum | Polls | Answers | Quizzes | Quotes | Surveys | GPS Tools | CjBlog


  • Re: Error in Corejoomla API

    by » 7 years ago


    Many thanks for that.

    I did that, (and similar in administrator/components/com_cjlib/views/default/view.html.php) and then it worked.


    Now, on front end, I go to Submit Track and get this warning:



    This was there before I made above changes so I don't think it is related.

  • Re: Error in Corejoomla API

    by » 7 years ago


    Also in backend, cannot access the GPStools component Control Panel. Get all teh errors below (access direct to other GPStools menu - Tracks, Categories, Configuration etc. is OK)


    [quote]
    Warning: SimpleXMLElement::__construct() [simplexmlelement.--construct]: Entity: line 11: parser error : expected '>' in /home/totaltra/public_html/icycletest/administrator/components/com_gpstools/helpers/helper.php on line 136

    Warning: SimpleXMLElement::__construct() [simplexmlelement.--construct]: <extension name="com_communitysurveys" jversion="1.7"><version>2.0.3</ve in /home/totaltra/public_html/icycletest/administrator/components/com_gpstools/helpers/helper.php on line 136

    Warning: SimpleXMLElement::__construct() [simplexmlelement.--construct]: ^ in /home/totaltra/public_html/icycletest/administrator/components/com_gpstools/helpers/helper.php on line 136

    Warning: SimpleXMLElement::__construct() [simplexmlelement.--construct]: Entity: line 11: parser error : Opening and ending tag mismatch: version line 11 and ve in /home/totaltra/public_html/icycletest/administrator/components/com_gpstools/helpers/helper.php on line 136

    Warning: SimpleXMLElement::__construct() [simplexmlelement.--construct]: <extension name="com_communitysurveys" jversion="1.7"><version>2.0.3</ve in /home/totaltra/public_html/icycletest/administrator/components/com_gpstools/helpers/helper.php on line 136

    Warning: SimpleXMLElement::__construct() [simplexmlelement.--construct]: ^ in /home/totaltra/public_html/icycletest/administrator/components/com_gpstools/helpers/helper.php on line 136

    Warning: SimpleXMLElement::__construct() [simplexmlelement.--construct]: Entity: line 11: parser error : Premature end of data in tag extension line 11 in /home/totaltra/public_html/icycletest/administrator/components/com_gpstools/helpers/helper.php on line 136

    Warning: SimpleXMLElement::__construct() [simplexmlelement.--construct]: <extension name="com_communitysurveys" jversion="1.7"><version>2.0.3</ve in /home/totaltra/public_html/icycletest/administrator/components/com_gpstools/helpers/helper.php on line 136

    Warning: SimpleXMLElement::__construct() [simplexmlelement.--construct]: ^ in /home/totaltra/public_html/icycletest/administrator/components/com_gpstools/helpers/helper.php on line 136

    Warning: SimpleXMLElement::__construct() [simplexmlelement.--construct]: Entity: line 11: parser error : Premature end of data in tag corejoomla line 2 in /home/totaltra/public_html/icycletest/administrator/components/com_gpstools/helpers/helper.php on line 136

    Warning: SimpleXMLElement::__construct() [simplexmlelement.--construct]: <extension name="com_communitysurveys" jversion="1.7"><version>2.0.3</ve in /home/totaltra/public_html/icycletest/administrator/components/com_gpstools/helpers/helper.php on line 136

    Warning: SimpleXMLElement::__construct() [simplexmlelement.--construct]: ^ in /home/totaltra/public_html/icycletest/administrator/components/com_gpstools/helpers/helper.php on line 136

    Fatal error: Uncaught exception 'Exception' with message 'String could not be parsed as XML' in /home/totaltra/public_html/icycletest/administrator/components/com_gpstools/helpers/helper.php:136 Stack trace: #0 /home/totaltra/public_html/icycletest/administrator/components/com_gpstools/helpers/helper.php(136): SimpleXMLElement->__construct('<?xml version="...') #1 /home/totaltra/public_html/icycletest/administrator/components/com_gpstools/views/cpanel/view.html.php(28): GpsToolsHelper::checkUpdate() #2 /home/totaltra/public_html/icycletest/administrator/components/com_gpstools/controllers/cpanel.php(29): GpsToolsViewCPanel->display() #3 /home/totaltra/public_html/icycletest/libraries/joomla/application/component/controller.php(236): GpsToolsControllerCPanel->cpanel() #4 /home/totaltra/public_html/icycletest/administrator/components/com_gpstools/gpstools.php(63): JController->execute('cpanel') #5 /home/totaltra/public_html/icycletest/libraries/joomla/application/component/helper.php(162): require_once('/home/totaltra/...') in /home/totaltra/public_html/icycletest/administrator/components/com_gpstools/helpers/helper.php on line 136[/quote]

  • Re: Error in Corejoomla API

    by » 7 years ago


    This could be a temporary problem, your server could not contact corejoomla server for version information, hence the error. This should be ok when the connection successful, I hope by now.

    Follow me on twitter: https://twitter.com/corejoomla
    If you use our extensions, please post a rating and a review at the Joomla! Extensions Directory.
    CjFitCjForum | Polls | Answers | Quizzes | Quotes | Surveys | GPS Tools | CjBlog


  • Re: Error in Corejoomla API

    by » 7 years ago


    Yes the control panel is working today. Many thanks.

    Still get this:
    Warning: Invalid argument supplied for foreach() in /home/totaltra/public_html/icycletest/libraries/joomla/registry/registry.php on line 227

    on the "Submit Track" page on frontend.

  • Re: Error in Corejoomla API

    by » 7 years ago


    I checked the code but there is no error from GPS Tools code. Since the above file is Joomla core file, it may be caused by your template or module or a plugin installed on your website.

    Follow me on twitter: https://twitter.com/corejoomla
    If you use our extensions, please post a rating and a review at the Joomla! Extensions Directory.
    CjFitCjForum | Polls | Answers | Quizzes | Quotes | Surveys | GPS Tools | CjBlog


  • Re: Error in Corejoomla API

    by » 7 years ago


    It was something to do with the wysiwyg toolbar. I disabled it and the warning went too.

    The Control Panel fault with the version information is intermittent. Sometimes it works, sometimes it doesn't. I guess I don't need it as I can access all from the joomla component menu.

    Will you be issuing the next version in J1.5? i.e. with the errors such as height being measured in m/s corrected, and the units on the profile graph not changing to imperial etc. I hope you can do, because upgrading to J2.5 is not an option for us at the moment, due to cost.

  • Re: Error in Corejoomla API

    by » 7 years ago


    The next major version will definitely not in j15. j15 will be support for short period for maintenance activities only.

    I will check the issues and correct them if any.

    Follow me on twitter: https://twitter.com/corejoomla
    If you use our extensions, please post a rating and a review at the Joomla! Extensions Directory.
    CjFitCjForum | Polls | Answers | Quizzes | Quotes | Surveys | GPS Tools | CjBlog


You do not have permissions to reply to this topic.

Powered by CjForum

Site Search

Trending Topics

GPX Tracks Module
  • 1 reply
- Add cluster to  GPX Tracks Module - When a category is...

Default marker for all categories
  • 1 reply
Hi, In GPS tools / Category / GPS Options I can select the default...

Translation of "Topic-Date
  • 2 replies
Hi Maverick I found another translation issue and that is the...

plg cbcjforum
  • 4 replies
Hi How can I translate the plugin cbcjforum in to my language?

Upload Track button not working
  • 5 replies
Hallo, I have a problem uploading new gps tracks. Clicking on the...

Subscribe Newsletter